* {
  box-sizing: border-box;
}
html {
  font-size: 62.5%; /* 16px * 62.5 = 10px = 1rem */
}
body {
  height: 100vh;
  font-size: 1.6rem;
  font-family: 'Times New Roman', Times, serif;
  margin: 0;
}
a {
  color: #000000;
  text-decoration: none;
}
a:hover {
  color: #f08040;
}

select,
input,
button,
textarea {
  font: 1.6rem helvetica;
  padding: 1rem;
  border: 0.1rem #808080 solid;
  border-radius: 0.5rem;
}
button{
  cursor: pointer;
  background-color: #A4508B;
  color: white;
}
select:hover,
input:hover,
button:hover {
  border: 0.1rem #404040 solid;
}
button.primary {
  background-color: #A4508B;
  color: white;
}
.overlay{
  display: none;
  position: fixed;
  z-index: 1000;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(16, 16, 16, 0.5);
}
.overlay.active{
  display: flex;
  justify-content: center;
  align-items: center;
  color: #ffffff;
}
.overlay > div {
  background-color: #ffffff;
  color: #000000;
  border-radius: 0.5rem;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  max-width: 40rem;
}
.overlay > div > * {
  margin: 2rem;
}
.fw {
  width: 100%;
}
.success{
  color: #40c040;
}
.grid-container {
  display: grid;
  grid-template-areas:
    'header'
    'main'
    'footer';
  grid-template-columns: 1fr;
  grid-template-rows: 5rem 1fr 5rem;
  height: 100%;
}
header {
  grid-area: header;
  background-color: #ffffff;
  font-weight: 100;
 
  color: #A4508B;
  
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5rem;
  z-index: 10;
}

.brand a {
  color: #A4508B;
  font-size: 3rem;
  font-weight: 300;
  text-decoration: none;
  font-family: 'Montserrat', sans-serif;
}
.header-links a {
  color: #A4508B;
  text-decoration: none;
  padding: 1rem;
}
.header-links a:hover {
  color: #ff8000;
}
/* Search */
.search {
  width: 40%;
}
form.search-form input[type='text'] {
  float: left;
  width: 80%;
  border-right: none;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
form.search-form button {
  float: left;
  width: 40px;
  background: #f0c040;

  border-left: none;
  cursor: pointer;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
form.search-form button:hover {
  background: #0b7dda;
}
/* Clear floats */
form.search-form::after {
  content: '';
  clear: both;
  display: table;
}
/* Aside */
aside {
  position: fixed;
  width: 100%;
  background-color: #ffffff;
  height: 100%;
  z-index: 1;
  transform: translateX(-100%);
  transition: all 0.5s;
  border-right: 0.1rem #808080 solid;
}
aside.open {
  transform: translateX(0);
}
.aside-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2rem 0.5rem 1rem 2rem;
  color: #A4508B;
  margin-top: 5rem;
}

.aside-close-button {
  width: 3rem;
  height: 3rem;
  font-size: 2rem;
  cursor: pointer;
  padding: 0;
  background-color: #A4508B;
  border: #fff;
}
.categories > li > a {
  display: flex;
  padding: 1rem;
  padding-left: 2rem;
  justify-content: space-between;
  font-weight: 100;
  color: #4f416c;
}
.categories > li > a > span {
  font-size: 1.4rem;
  color: #4f416c0;
}
.categories > li > a:hover span {
  color: #444444;
}
.categories > li > a:hover {
  background-color: #f0f0f0;
  color: #444444;
}

main {
  grid-area: main;
}
footer {
  grid-area: footer;
  background-color: #203040;
  color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
}
a {
  text-decoration: none;
}
a:hover {
  color: #ff8000;
}

.error{
  color: #c04040;
  padding: 100px 0px 50px; 
  text-align: center;
}



.orderH1 {
 padding: 5rem;
 margin: 0;
}



/* Products */
.products {
  display: flex;
  flex-wrap: wrap;
  list-style-type: none;
  padding: 0;
  margin: 0;
  justify-content: center;
}
.products li {
  flex: 0 1 30rem;
  margin: 1rem;
  margin-bottom: 0;
  height: 42rem;
  border-top: 0.2rem #e0e0e0 solid;
}
.message {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}
.product {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  height: 95%;
  align-items: center;
  margin-top: 2.5rem;
}
.product a {
  color: #000000;
}
.product img {
  max-height: 26rem;
  max-width: 22rem;
  margin-top: 2rem;
}
.product-name {
  line-height: 2.2rem;
  text-align: center;
}
.product-brand {
  font-size: 1.2rem;
  color: #808080;
}
.product-price {
  font-size: 2rem;
}
.product-price span {
  font-size: 1.2rem;
}
.review {
  list-style-type: none;
  padding: 0;
}
.review li {
  margin-bottom: 1rem;
  padding-bottom: 1rem;
}
/* Sidebar */

.brand button {
  font-size: 3rem;
  padding: 0.5rem;
  background: none;
  border: none;
  color: #203080;
  cursor: pointer;
}
.sidebar {
  position: fixed;
  transition: all 0.5s;
  transform: translateX(-30rem);
  width: 30rem;
  background-color: #f0f0f0;
  height: 100%;
}
.sidebar.open {
  transform: translateX(0);
}

.sidebar-close-button {
  border-radius: 50%;
  border: 0.1rem #000000 solid;
  width: 3rem;
  height: 3rem;
  padding: 0.5rem;
  font-size: 2rem;
  padding-top: 0;
  cursor: pointer;
  position: absolute;
  right: 0.5rem;
  top: 1.5rem;
}
/* Rating */
.rating{
  color: #ffc000;
  font-size: 1.8rem;
}
.rating span:last-child{
  color: #444444;
  font-size: 1.4rem;
}
.content {
  padding: 1rem;
}
/* Product Details */
.details {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
  padding: 1rem;
}
.details-image {
  flex: 2 1 60rem;
}
.details-image img {
  max-width: 60rem;
  width: 100%;
}
.details-info,
.details-action {
  flex: 1 1 30rem;
}
.details-info ul,
.details-action ul {
  padding: 0;
  list-style-type: none;
}
.details-info h1 {
  font-size: 2rem;
  margin: 0;
}
.details-info li,
.details-action li {
  margin-bottom: 1rem;
}
.back-to-result {
  padding: 1rem;
}
.details-action {
  border: 0.1rem #808080 solid;
  border-radius: 0.5rem;
  background-color: #f8f8f8;
  padding: 1rem;
}
.details-action ul li:last-child {
  display: flex;
  flex-direction: column;
}
.text-center {
  text-align: center;
}
/* Cart */
.cart {
  display: flex;
  flex-wrap: wrap;
  margin: 1rem;
  align-items: flex-start;
}

.cart-list {
  flex: 3 1 60rem;
  margin-top: 4rem;
}
.cart-action {
  flex: 1 1 20rem;
  background-color: #f0f0f0;
  border-radius: 0.5rem;
  padding: 1rem;
  margin-top: 5rem;
}
.cart-list-container {
  padding: 1rem;
  list-style-type: none;
}

.cart-list-container li {
  display: flex;
  justify-content: space-between;
  padding-bottom: 1rem;
  margin-bottom: 1rem;
  border-bottom: 0.1rem #c0c0c0 solid;
}
.cart-list-container img {
  max-width: 10rem;
  max-height: 10rem;
}
.cart-list-container li:first-child {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}
.cart-image {
  flex: 1 1;
}
.cart-name {
  flex: 8 1;
}
.cart-price {
  flex: 1 1;
  text-align: right;
}
.cart-name > div {
  padding: 1rem;
}
.cart-list h3 {
  margin: 0;
}
.cart-list button,
.cart-list select {
  font-size: 1.3rem;
  padding: 0.5rem;
}
/* Form */
.form-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  height: 100%;
  margin-right: 25px;
  margin-top: -5rem;
}
.form-items {
  display: flex;
  flex-direction: column;
  width: 32rem;
  padding: 2rem;
  border: 0.1rem #c0c0c0 solid;
  border-radius: 0.5rem;
  list-style-type: none;
  margin-top: 12rem;
}
.form-items li {
  display: flex;
  flex-direction: column;
  margin-bottom: 1rem;
  margin-top: 1rem;
}
.form-container h1 {
  font-size: 2.5rem;
}
/* Checkout */
.checkout-steps {
  display: flex;
  justify-content: space-between;
  width: 35rem;
  margin: 0 auto;
  padding-top: 9rem;
}
.checkout-steps > div {
  border-top: 0.3rem #c0c0c0 solid;
  color: #c0c0c0;
  flex: 1 1;
  padding-top: 1rem;
}
.checkout-steps > div.active {
  color: #f08000;
  border-top-color: #f08000;
  margin-bottom: 4rem;
}
/* Order */
.order {
  display: flex;
  flex-wrap: wrap;
  padding: 1rem;
  justify-content: space-between;
}
.order h2 {
  margin-top: 0;
  padding-bottom: 1rem;
  font-size: 2rem;
}
.order .cart-list-container {
  padding: 0;
}
.order-info {
  flex: 3 1 60rem;
}
.order-info > div {
  border: 0.1rem #c0c0c0 solid;
  border-radius: 0.5rem;
  background-color: #fcfcfc;
  padding: 1rem;
  margin: 1rem;
}
.order-info > div:first-child {
  margin-top: -2.5rem;ß
}
.order-info > div > div {
  padding: 1rem;
}
.order-action {
  flex: 1 1 20rem;
  border: 0.1rem #c0c0c0 solid;
  border-radius: 0.5rem;
  background-color: #fcfcfc;
  padding: 1rem;
}
.order-action > ul {
  padding: 0;
  list-style-type: none;
}
.order-action li {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1rem;
}
.order-action .total {
  font-size: 2rem;
  font-weight: bold;
  color: #c04000;
}
/* Profile */
.profile {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
}
.profile-info {
  flex: 1 1 20rem;
}
.profile-orders {
  flex: 3 1 60rem;
  margin-left: 1rem;
  margin-top: 5rem;
}

table {
  width: 100%;
}
th {
  text-align: left;
}
tbody > tr:nth-child(odd) {
  background-color: #f0f0f0;
}
td {
  padding: 0.5rem;
}
/* Dashboard */
.dashboard {
  display: flex;
  flex-wrap: wrap;
  height: 100%;
}
.dashboard h1 {
  font-size: 3rem;
  margin: 1rem 0;
}
.dashboard-menu {
  flex: 1 1 20rem;
  background-color: #f0f0f0;
}
.dashboard-menu ul {
  padding: 0;
}
.dashboard-menu a {
  display: flex;
  padding: 1rem;
  padding-left: 2rem;
  justify-content: space-between;
}
.dashboard-menu a:hover {
  background-color: #c0c0c0;
}
.dashboard-menu li.selected a {
  background-color: #c0c0c0;
  color: #f08040;
}
.dashboard-content {
  flex: 4 1 80rem;
  padding: 1rem;
}
/* admin */
.order-list button,
.product-list button {
  font-size: 1.3rem;
  padding: 0.5rem;
}
.tr-action {
  width: 11rem;
}
.dropdown {
  display: inline-block;
  position: relative;
}
.dropdown-content {
  position: absolute;
  display: none;
  right: 0;
  padding: 1rem;
  list-style-type: none;
  z-index: 1;
  background-color: #203040;
  margin: 0;
  margin-top: 0.4rem;
}
.dropdown:hover .dropdown-content {
  display: block;
}
.dropdown-content li {
  padding: 1rem;
}


.summary-items {
  display: flex;
  justify-content: space-around;
  list-style-type: none;
  flex-wrap: wrap;
  padding: 0;
  margin: 0;
}
.summary-items > li {
  border: 0.1rem #c0c0c0 solid;
  margin: 2rem;
  border-radius: 0.5rem;
  flex: 1 1 20rem;
}
.summary-title {
  background-color: #e0e0e0;
  font-size: 2rem;
  padding: 1rem;
}
.summary-body {
  font-size: 4rem;
  padding: 1rem;
  text-align: center;
}
.summary-title.color1 {
  background-color: #f0e0e0;
}
.summary-title.color2 {
  background-color: #e0f0e0;
}
.summary-title.color3 {
  background-color: #e0e0f0;
}
.charts {
  display: flex;
  justify-content: space-between;
}
.charts > div {
  flex: 1;
}
.ct-chart-donut .ct-label {
  font-size: 1rem;
}
/* filter */

.filter {
  display: flex;
  list-style-type: none;
  padding: 0;
  margin: 1rem auto;
  max-width: 45rem;
  justify-content: space-between;
  align-items: center;
}
.filter input,
.filter button,
.filter select {
  padding: 1rem;
  border-radius: 0.5rem;
  border: 0.1rem #c0c0c0 solid;
  font-size: 1.6rem;
}
.categories {
  padding: 0;
  list-style-type: none;
}
.categories a {
  display: flex;
  padding: 1rem;
}

.categories a:hover {
  background-color: #c0c0c0;
}

.rating span {
  color: #ffb901;
  font-size: 1.8rem;
}
.rating span:last-child {
  color: #444444;
  font-size: 1.4rem;
}
/* Serach */
#search-input{
  float: left;
  width: 75%;
  border-right: none;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
#search-button{
  float: left;
  width: 25%;
  color: white;
  background: #A4508B;
  font-family:'Times New Roman', Times, serif;
  border-left: none;
  cursor: pointer;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

/* Style the search field */
form.example input[type='text'] {
  padding: 10px;
 
}
@media only screen and (max-width: 600px) {
  header {
    font-size: 1rem;
    
  }
@media only screen and (max-width: 600px) {
  .brand a {
    font-size: 1rem;
    margin: 0 auto;
    color: #A4508B;
  }
  @media only screen and (max-width: 600px) {
    #search-input {
      width: 70%;
      font-size: 0.7rem;
      
    }
    @media only screen and (max-width: 600px) {
      #search-button {
        width: 30%;
        font-size: .7rem;
        background-color: #A4508B;
        color: white;
      }
      @media only screen and (max-width: 600px) {
        #aside-open-button {
          padding: 0.8rem;
          border: 0.1rem #fff solid;
          border-radius: 0.5rem;
          background-color: #A4508B;
       
        
        }
  .brand button {
    font-size: 2rem;
    cursor: pointer;
  }
 
  form.search-form {
    width: 18rem;
  }
  form.search-form button {
    width: 20%;
  }
  form.search-form input,
  form.search-form button {
    padding: 0.5rem;
  }
  .header-links a {
    font-size: 1rem;
    padding: 6.5px;
  }
}

